./collect-jars.sh

preload_image () {
  xterm -e "docker run --rm -it $1:$2 java --version" &
}
modules=( 'quarkus-resteasy-jackson' 'quarkus-resteasy-jsonb' 'jersey-grizzly2' 'jersey-jdk-http' 'jersey-simple-http' 'jersey-jetty' 'jersey-netty' 'jersey-netty' 'jersey-netty' 'jersey-netty' 'rawnetty' 'jooby-netty' 'jooby-jetty' 'jooby-undertow' 'resteasy-jdk-http' 'resteasy-netty' 'resteasy-reactor-netty' 'resteasy-vertx' 'resteasy-undertow' 'cxf-jetty' 'cxf-netty' 'cxf-undertow' )
versions=( '11' '17' )
for version in "${versions[@]}"
do
  jkds=( 'amazoncorretto' 'azul/zulu-openjdk' 'azul/zulu-openjdk-alpine' 'eclipse-temurin' 'openjdk' )
  for jdk in "${jkds[@]}"
  do
    preload_image $jdk $version
  done
done

versions=( '11-alpine' '17-alpine' )
for version in "${versions[@]}"
do
  jkds=( 'amazoncorretto' 'eclipse-temurin' 'openjdk' )
  for jdk in "${jkds[@]}"
  do
    preload_image $jdk $version
  done
done
